#
# spec file for package ddccontrol
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ddccontrol
Url:            http://ddccontrol.sourceforge.net/
Version:        0.4.2+20140105+git9d89d8c
Release:        2.3.1
Summary:        A tool to configure monitor settings via DDC/CI
License:        GPL-2.0+
Group:          Hardware/Other
Recommends:     ddccontrol-db
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-rpmlintrc
Source2:        90-ddccontrol-i2c.rules
Patch50:        0002_cerrors.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  libxslt-tools
BuildRequires:  perl >= 5.8.1
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig
BuildRequires:  tidy
BuildRequires:  udev
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0) >= 2.4
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.4
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(zlib)
Recommends:     %{name}-lang = %version

%description
ddccontrol allows to change monitor settings, such as brightness and
contrast, without using the monitor's hardware buttons.


%lang_package


%package gtk
Summary:        A GTK+2 front-end for ddccontrol
Group:          Hardware/Other

%description gtk
This is a graphical tool to configure monitor settings such as brightness
and contrast via DDC/CI. It is based on ddccontrol.


%package -n libddccontrol0
Summary:        Back-end library for ddccontrol
Group:          Hardware/Other
Requires:       ddccontrol-db
Requires:       udev

%description -n libddccontrol0
The back-end library enabling DDC/CI access in ddccontrol/gddccontrol.


%package devel
Summary:        Development files for libddcontrol
Group:          Development/Languages/C and C++
Requires:       glibc-devel
Requires:       libddccontrol0 = %{version}

%description devel
ddccontrol allows to change monitor settings, such as brightness and
contrast, without using the monitor's hardware buttons.


%package doc
Summary:        Documentation for ddccontrol
Group:          Documentation/HTML
BuildArch:      noarch

%description doc
This is the HTML documentation for ddccontrol.


%prep
%setup -q
%patch50 -p1

%build
./autogen.sh
%configure --disable-static \
           --enable-doc \
           --enable-gnome \
           --disable-gnome-panel \
           --disable-ddcpci
make %{?_smp_mflags} htmldir=%{_docdir}/%{name}/html

%install
make install DESTDIR=%buildroot htmldir=%{_docdir}/%{name}/html
%find_lang %{name}
%suse_update_desktop_file -r gddccontrol GTK Settings HardwareSettings
mkdir -p $RPM_BUILD_ROOT%{_udevrulesdir}/
cp -a %{_sourcedir}/90-ddccontrol-i2c.rules %buildroot/%{_udevrulesdir}/
rm -f %buildroot/%_libdir/*.la

%files
%defattr(-,root,root)
%{_bindir}/ddccontrol
%doc %{_mandir}/man1/ddccontrol.1.gz
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%exclude %{_docdir}/%{name}/html

%files gtk
%defattr(-,root,root)
%{_bindir}/gddccontrol
%{_datadir}/applications/gddccontrol.desktop
%{_datadir}/icons/hicolor/48x48/apps/gddccontrol.png
%dir %{_datadir}/icons/Bluecurve
%dir %{_datadir}/icons/Bluecurve/48x48
%dir %{_datadir}/icons/Bluecurve/48x48/apps
%{_datadir}/icons/Bluecurve/48x48/apps/gddccontrol.png
%doc %{_mandir}/man1/gddccontrol.1.gz

%files -n libddccontrol0
%defattr(-,root,root)
%{_libdir}/libddccontrol.so.0
%{_libdir}/libddccontrol.so.0.0.0
%{_udevrulesdir}/90-ddccontrol-i2c.rules

%files devel
%defattr(-,root,root)
%{_includedir}/ddccontrol
%{_libdir}/libddccontrol.so
%{_libdir}/pkgconfig/ddccontrol.pc

%files doc
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html

%files lang -f ddccontrol.lang
%defattr(-,root,root)

%post -n libddccontrol0 -p /sbin/ldconfig

%postun -n libddccontrol0 -p /sbin/ldconfig

%changelog
* Wed Apr 11 2018 mstaudt@suse.com
- 90-ddccontrol-i2c.rules:
  Fix typo that kept i2c-dev from being loaded.
  Fixes (boo#1088935).
* Mon Oct 17 2016 jengelh@inai.de
- Set proper Requires, Group, BuildArch and collect all directories
  in %%files.
* Fri Oct 14 2016 mstaudt@suse.com
- ddccontrol.spec: Remove AUTHORS sections
* Wed Feb 10 2016 maximilian.staudt@suse.com
- Change source archive name to include last commit date
- Streamline udev rule handling in .spec file
- Simplify .spec file
* Wed Feb 10 2016 sndirsch@suse.com
- specfile
  + don't use git commit in version, since it's not considered
    future proof for obvious reasons
  + replace lib Buildrequires by pkgconfig file buildrequires in
    order to make it package name independant
  + lib should require udev
  + move autogen.sh from %%setup to %%build section
  + remove unneeded .la file
  + add /usr/lib/udev/{,rules.d} directory to filelist (not sure
    why this is needed when udev is already required though)
* Tue Feb  9 2016 maximilian.staudt@suse.com
- libddccontrol depends on ddccontrol-db, add dependency
* Tue Feb  9 2016 maximilian.staudt@suse.com
- Added udev rule to allow access to I2C buses on VGA adapters
* Tue Feb  9 2016 maximilian.staudt@suse.com
- Check in rpmlintrc
* Tue Feb  9 2016 maximilian.staudt@suse.com
- Remove pciutils-devel from BuildRequires - we don't build ddcpci
* Tue Feb  9 2016 maximilian.staudt@suse.com
- Simplify .spec
- Add remaining documentation
- Add rpmlintrc to silence warning on duplicate icons (they're not)
* Mon Feb  8 2016 maximilian.staudt@suse.com
- ddccontrol.spec: Include ideas from sbrabec's spec file, split -doc
* Mon Feb  8 2016 maximilian.staudt@suse.com
- ddccontrol.spec: Fix build on i586 (_libdir)
* Mon Feb  8 2016 maximilian.staudt@suse.com
- ddccontrol.spec: Simplified and corrected warnings emitted by rpmlint
* Mon Feb  8 2016 maximilian.staudt@suse.com
- Initial version: git 9d89d8c (0.4.2 and further patches)
- 0002_cerrors.patch: Included from Debian 8 (jessie)
